Right - I was able to reproduce this issue on focal using:

python3 -m venv /tmp/test3env
source /tmp/test3env/bin/activate
pip install wheel
pip install --index-url https://test.pypi.org/simple/ --extra-index-url 
https://pypi.org/simple pytopo==1.6.1

(thanks for that)

However with the patched package in the PPA, I now hit a completely
different problem with the test case which looks related to the patch:

Traceback (most recent call last):
  File "/usr/lib/python3.8/ensurepip/__init__.py", line 54, in _run_pip
    import pip._internal
  File "<frozen zipimport>", line 259, in load_module
  File 
"/tmp/tmpzye4xja3/pip-18.1-py2.py3-none-any.whl/pip/_internal/__init__.py", 
line 40, in <module>
  File "<frozen zipimport>", line 259, in load_module
  File 
"/tmp/tmpzye4xja3/pip-18.1-py2.py3-none-any.whl/pip/_internal/cli/autocompletion.py",
 line 8, in <module>
  File "<frozen zipimport>", line 259, in load_module
  File 
"/tmp/tmpzye4xja3/pip-18.1-py2.py3-none-any.whl/pip/_internal/cli/main_parser.py",
 line 8, in <module>
  File "<frozen zipimport>", line 259, in load_module
  File 
"/tmp/tmpzye4xja3/pip-18.1-py2.py3-none-any.whl/pip/_internal/cli/cmdoptions.py",
 line 22, in <module>
  File "<frozen zipimport>", line 259, in load_module
  File 
"/tmp/tmpzye4xja3/pip-18.1-py2.py3-none-any.whl/pip/_internal/utils/ui.py", 
line 15, in <module>
ModuleNotFoundError: No module named 'pip._vendor.progress.helpers'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 193, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 86, in _run_code
    exec(code, run_globals)
  File "/usr/lib/python3.8/ensurepip/__main__.py", line 5, in <module>
    sys.exit(ensurepip._main())
  File "/usr/lib/python3.8/ensurepip/__init__.py", line 263, in _main
    return _bootstrap(
  File "/usr/lib/python3.8/ensurepip/__init__.py", line 181, in _bootstrap
    return _run_pip(args + _PROJECTS, additional_paths)
  File "/usr/lib/python3.8/ensurepip/__init__.py", line 58, in _run_pip
    return pip.main(args)
AttributeError: module 'pip' has no attribute 'main'

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to